%if 0%{?rhel} < 7 && 0%{?rhel} > 0
%global _pkgdocdir %{_docdir}/%{name}-%{version}
%global __python2 %{__python}
%endif

Name:		coprtest
Version:	2
Release:	1.git.1.fde904f%{?dist}
Summary:	Short summary up to 80 characters

Group:		Development/Libraries
License:	MIT
URL:		http://your.project.com
# Source is created by
# git clone https://your.project.com/project.git
# cd coprtest
# tito build --tgz
Source0:	coprtest-git-1.fde904f.tar.gz
BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
Requires:	python

%description
Put some description here.
Can be multiline.

%prep
%setup -q -n coprtest-git-1.fde904f

find -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python2}|'

%{__python2} coprtest/coprtest.py


%build
CFLAGS="%{optflags}" %{__python2} setup.py build


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE README.rst
%{python_sitelib}/*


%changelog
* Thu Nov 27 2014 Tomas Radej <tradej@redhat.com> 2-1
- new package built with tito

* Thu Nov 27 2014 Tomas Radej <tradej@redhat.com> - 1-1
- Initial release
